package audit

import (
	"context"
	"net/http"
)

// ExportAuditsToFile Get audits in csv file, return []byte which should be written to a file *tar.gz
func (a Audit) ExportAuditsToFile(ctx context.Context) ([]byte, error) {
	url := "/cloudbroker/audit/exportAuditsToFile"

	res, err := a.client.DecortApiCall(ctx, http.MethodGet, url, nil)
	if err != nil {
		return nil, err
	}

	return res, nil
}
